Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util.gui.xmleditor
Class XMLView

    java.lang.Object
      javax.swing.text.View
          javax.swing.text.PlainView
              org.apache.batik.util.gui.xmleditor.XMLView

All Implemented Interfaces:
  SwingConstants, TabExpander

    public class XMLView

extends PlainView

View that uses the lexical information to determine the style characteristics of the text that it renders. This simply colorizes the various tokens and assumes a constant font family and size.

Field Summary
`protected XMLContext` | `context`
`protected XMLScanner` | `lexer`
`protected int` | `tabSize`

Fields inherited from class javax.swing.text.PlainView
`metrics`

Fields inherited from class javax.swing.text.View
`BadBreakWeight, ExcellentBreakWeight, ForcedBreakWeight, GoodBreakWeight, X_AXIS, Y_AXIS`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Constructor Summary
`XMLView(XMLContext context, Element elem)` Construct a simple colorized view of XML text.

Method Summary
`protected int` | `drawUnselectedText(Graphics g, int x, int y, int p0, int p1)`
`int` | `getTabSize()`

Methods inherited from class javax.swing.text.PlainView
`changedUpdate, damageLineRange, drawLine, drawSelectedText, getLineBuffer, getPreferredSpan, insertUpdate, lineToRect, modelToView, nextTabStop, paint, removeUpdate, setSize, updateDamage, updateMetrics, viewToModel`

Methods inherited from class javax.swing.text.View
`append, breakView, createFragment, forwardUpdate, forwardUpdateToView, getAlignment, getAttributes, getBreakWeight, getChildAllocation, getContainer, getDocument, getElement, getEndOffset, getGraphics, getMaximumSpan, getMinimumSpan, getNextVisualPositionFrom, getParent, getResizeWeight, getStartOffset, getToolTipText, getView, getViewCount, getViewFactory, getViewIndex, getViewIndex, insert, isVisible, modelToView, modelToView, preferenceChanged, remove, removeAll, replace, setParent, updateChildren, updateLayout, viewToModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### context

    protected XMLContext context

### lexer

    protected XMLScanner lexer

### tabSize

    protected int tabSize

Constructor Detail

### XMLView

    public XMLView(XMLContext context,
                   Element elem)

  Construct a simple colorized view of XML text.

Method Detail

### getTabSize

    public int getTabSize()

  Overrides:
    `getTabSize` in class `PlainView`

### drawUnselectedText

    protected int drawUnselectedText(Graphics g,
                                     int x,
                                     int y,
                                     int p0,
                                     int p1)
                              throws BadLocationException

  Overrides:
    `drawUnselectedText` in class `PlainView`
  Throws:
    `BadLocationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.